%define name mcs
%define version 0.7.1
%define release %mkrel 2
%define oname libmcs

%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Modular Config System
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://distfiles.atheme.org/%{oname}-%{version}.tbz2
Patch: libmcs-0.7.1-linking.patch
License: BSD
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.atheme.org/projects/mcs.shtml
BuildRequires: libmowgli-devel
BuildRequires: libGConf2-devel
BuildRequires: kdelibs-devel

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %libname
Group: System/Libraries
Summary: Modular Config System shared library
Requires: %name >= %version

%description -n %libname
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %develname
Group: Development/C
Summary: Modular Config System shared library
Requires: %libname = %version
Provides: libmcs-devel = %version-%release
Obsoletes: %mklibname -d %name 1

%description -n %develname
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package kconfig
Group: System/Libraries
Summary: Modular Config System - KDE kconfig backend
Requires: %name = %version

%description kconfig
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package gconf
Group: System/Libraries
Summary: Modular Config System - GConf backend
Requires: %name = %version

%description gconf
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .linking

%build
export LDFLAGS="$LDFLAGS -L/opt/kde3/%_lib"
%configure2_5x --with-kde-path=/opt/kde3 --with-qt-path=%_prefix/lib/qt3
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS TODO README
%_bindir/mcs-*
%dir %_libdir/mcs/
%_libdir/mcs/keyfile.so

%files kconfig
%defattr(-,root,root)
%_libdir/mcs/kconfig.so

%files gconf
%defattr(-,root,root)
%_libdir/mcs/gconf.so

%files -n %libname
%defattr(-,root,root)
%_libdir/libmcs.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libmcs.so
%_libdir/pkgconfig/libmcs.pc
%_includedir/libmcs/




%changelog
* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2009.0
+ Revision: 239335
- rebuild

* Thu Jun 12 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 218382
- fix library path on 64 bit
- new version
- fix linking

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 170664
- new version
- add kconfig backend
- split out gconf backend

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 140163
- rebuild for new libmowgli

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 98477
- rebuild for new libmowgli

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 98454
- fix buildrequries
- new version
- new URL
- fix build
- new devel name
- update file list


* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2007.0
+ Revision: 126328
- new version
- sacrifice a chicken for the build system
- new version

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 122673
- new version
- drop patch

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.1
+ Revision: 122667
- fix libdir on x86_64
- Import mcs

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
- initial package

